Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04696 Crash/Freeze Critical (emulator) Always 2012-02-19 23:02 2012-02-21 06:36
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver
Version 0.145u1 Fixed in Version 0.145u2 Build
Summary 04696: Crash when loading samples in certain games
Description Certain games with the new SAMPLE coding do not load and cause a crash in MAME.

"Crashing" Samples include:
blockade - blockade.c
gmissile - mw8080bw.c
gorf - astrocde.c
gunfight - mw8080bw.c
ipminvad - m10.c
m4 - mw8080bw.c
monsterb - segag80r.c
natodef - thief.c
phantom2 - mw8080bw.c
reactor - gottlieb.c
tankbatt - tankbatt.c
targ - exidy.c
thehand - gotya.c
thief - thief.c
vanguard - snk6502.c
Steps To Reproduce
Additional Information It seems that there is an issue with loading unsigned 8-bit PCM files with this new code.
Flags
Regression Version 0.145u1
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar (08220)
Haze (Developer)
2012-02-20 11:57

likely to be anything with 8-bit sample IMHO

I had to take care when handling this case in 0.145, I guess Aaron missed it when rewriting the code. That list strikes me as similar to my tests cases for it; -)